Multism 14.2 not working

Questions about Wine on Linux
Post Reply
amera_09
Level 3
Level 3
Posts: 72
Joined: Mon Dec 09, 2019 6:47 pm

Multism 14.2 not working

Post by amera_09 » Wed Nov 24, 2021 8:11 am

Wine staging 6.22 i have the licence

Code: Select all

root@localhost:/storage/0EA5-8CB0/Circuit Design Suite 14.2# wine multisim.exe                                                  01a0:fixme:nls:RtlGetThreadPreferredUILanguages 00000038, 0021F1C8, 0021F1D8 0021F1CC                                           01a0:fixme:nls:get_dummy_preferred_ui_language (0x38 0021F1C8 0021F1D8 0021F1CC) returning a dummy value (current locale)       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021F4C0 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021F4C0 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021F4C0 1 C) semi-stub                                                       01a0:err:winediag:ntlm_check_version ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.                                                          01a0:err:ntlm:ntlm_LsaApInitializePackage no NTLM support, expect problems                                                      01a0:fixme:nls:RtlGetThreadPreferredUILanguages 00000038, 0021F20C, 0021F21C 0021F210                                           01a0:fixme:nls:get_dummy_preferred_ui_language (0x38 0021F20C 0021F21C 0021F210) returning a dummy value (current locale)       01a0:fixme:nls:RtlGetThreadPreferredUILanguages 00000038, 0021ED1C, 0021ED2C 0021ED20                                           01a0:fixme:nls:get_dummy_preferred_ui_language (0x38 0021ED1C 0021ED2C 0021ED20) returning a dummy value (current locale)       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EEF0 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021E9CC 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EA4C 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021E7C4 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EF84 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EEF0 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EF84 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EEF0 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EF84 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EEF0 1 C) semi-stub                                                       01a0:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EF84 1 C) semi-stub                                                       01a0:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.4                        01a0:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.4                        01a0:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.12                       01a0:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.12                       01a0:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.4                        01a0:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.4                        01a0:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.12                       01a0:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.12                       01a0:fixme:imm:ImeSetActiveContext (0x2b7e98, 1): stub          01a0:fixme:imm:ImmReleaseContext (0003007A, 002B7E98): stub     Xlib:  extension "MIT-SHM" missing on display "127.0.0.1:0".    Xlib:  extension "MIT-SHM" missing on display "127.0.0.1:0".    0178:fixme:imm:ImeSetActiveContext (0x6de748, 0): stub          0178:fixme:imm:ImmReleaseContext (0003009E, 006DE748): stub
Screenshot_٢٠٢١١١٢٤-١٦٠٤١٢.png

invisible kid
Level 4
Level 4
Posts: 138
Joined: Tue Dec 24, 2019 3:23 pm

Re: Multism 14.2 not working

Post by invisible kid » Wed Nov 24, 2021 1:40 pm

Your log states, "ntlm_check_version ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution." So that means apt-get install winbind or something similar(I don't use debian/ubuntu regularly).

Also not sure if that is the only problem or the showstopper, but it's something I would definitely fix and see.

amera_09
Level 3
Level 3
Posts: 72
Joined: Mon Dec 09, 2019 6:47 pm

Re: Multism 14.2 not working

Post by amera_09 » Wed Nov 24, 2021 2:45 pm

invisible kid wrote:
Wed Nov 24, 2021 1:40 pm
Your log states, "ntlm_check_version ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution." So that means apt-get install winbind or something similar(I don't use debian/ubuntu regularly).

Also not sure if that is the only problem or the showstopper, but it's something I would definitely fix and see.
I installed winbind everything is same

Code: Select all

root@localhost:/storage/0EA5-8CB0# wine National\ Instruments/Circuit\ Design\ Suite\ 14.2/multisim.exe                         002c:fixme:winediag:LdrInitializeThunk wine-staging 6.22 is a testing version containing experimental patches.                  002c:fixme:winediag:LdrInitializeThunk Please mention your exact version when filing bug reports on winehq.org.
0050:err:ole:start_rpcss Failed to start RpcSs service          0144:fixme:nls:RtlGetThreadPreferredUILanguages 00000038, 0021F1C8, 0021F1D8 0021F1CC
0144:fixme:nls:get_dummy_preferred_ui_language (0x38 0021F1C8 0021F1D8 0021F1CC) returning a dummy value (current locale)       0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021F4C0 1 C) semi-stub                                                       0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021F4C0 1 C) semi-stub
0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021F4C0 1 C) semi-stub                                                       0144:fixme:nls:RtlGetThreadPreferredUILanguages 00000038, 0021F20C, 0021F21C 0021F210                                           0144:fixme:nls:get_dummy_preferred_ui_language (0x38 0021F20C 0021F21C 0021F210) returning a dummy value (current locale)
0144:fixme:nls:RtlGetThreadPreferredUILanguages 00000038, 0021ED1C, 0021ED2C 0021ED20                                           0144:fixme:nls:get_dummy_preferred_ui_language (0x38 0021ED1C 0021ED2C 0021ED20) returning a dummy value (current locale)       0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EEF0 1 C) semi-stub
0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021E9CC 1 C) semi-stub                                                       0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EA4C 1 C) semi-stub                                                       0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021E7C4 1 C) semi-stub
0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EF84 1 C) semi-stub                                                       0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EEF0 1 C) semi-stub                                                       0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EF84 1 C) semi-stub
0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EEF0 1 C) semi-stub                                                       0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EF84 1 C) semi-stub                                                       0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EEF0 1 C) semi-stub
0144:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EF84 1 C) semi-stub                                                       0144:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.4                        0144:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.4
0144:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.12                       0144:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.12                       0144:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.4
0144:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.4                        0144:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.12                       0144:fixme:cryptasn:CRYPT_GetBuiltinDecoder Unsupported decoder for lpszStructType 1.3.6.1.4.1.311.2.1.12
0144:fixme:imm:ImeSetActiveContext (0x2dee28, 1): stub          0144:fixme:imm:ImmReleaseContext (0001006E, 002DEE28): stub     Xlib:  extension "MIT-SHM" missing on display "127.0.0.1:0".
Xlib:  extension "MIT-SHM" missing on display "127.0.0.1:0".    0108:fixme:imm:ImeSetActiveContext (0x6de9a0, 0): stub          0108:fixme:imm:ImmReleaseContext (0002003C, 006DE9A0): stub
root@localhost:/storage/0EA5-8CB0#

invisible kid
Level 4
Level 4
Posts: 138
Joined: Tue Dec 24, 2019 3:23 pm

Re: Multism 14.2 not working

Post by invisible kid » Wed Nov 24, 2021 3:54 pm

Well, not exactly the same as it fixed the error I was talking about which is a showstopper for some apps. But I agree you have other issues. I don't see anything jumping out at me, my eyes are attracted to the shared memory xlib thing, but am not thinking of anything at the moment. Hopefully someone can help. Does the app have an entry in the WineHQ database? If so, that is the first place to check out. Good luck!

amera_09
Level 3
Level 3
Posts: 72
Joined: Mon Dec 09, 2019 6:47 pm

Re: Multism 14.2 not working

Post by amera_09 » Wed Nov 24, 2021 3:57 pm

invisible kid wrote:
Wed Nov 24, 2021 3:54 pm
Well, not exactly the same as it fixed the error I was talking about which is a showstopper for some apps. But I agree you have other issues. I don't see anything jumping out at me, my eyes are attracted to the shared memory xlib thing, but am not thinking of anything at the moment. Hopefully someone can help. Does the app have an entry in the WineHQ database? If so, that is the first place to check out. Good luck!
Well sheet i need this app workin by tomorrow for my education

invisible kid
Level 4
Level 4
Posts: 138
Joined: Tue Dec 24, 2019 3:23 pm

Re: Multism 14.2 not working

Post by invisible kid » Wed Nov 24, 2021 4:08 pm

Might not help, but I would do a fresh prefix and fresh install of the app. Maybe something is actually corrupted, but maybe not. Up to you.

amera_09
Level 3
Level 3
Posts: 72
Joined: Mon Dec 09, 2019 6:47 pm

Re: Multism 14.2 not working

Post by amera_09 » Wed Nov 24, 2021 4:13 pm

invisible kid wrote:
Wed Nov 24, 2021 4:08 pm
Might not help, but I would do a fresh prefix and fresh install of the app. Maybe something is actually corrupted, but maybe not. Up to you.
I got the same issue with previous multism version 12 or was it 11

invisible kid
Level 4
Level 4
Posts: 138
Joined: Tue Dec 24, 2019 3:23 pm

Re: Multism 14.2 not working

Post by invisible kid » Wed Nov 24, 2021 6:46 pm

Hate to be the bearer of bad news, but that app does not work with wine well or at all according to winehq:
https://appdb.winehq.org/objectManager. ... n&iId=4010
Even the pro version that gets a good rating uses a very very old version of wine.
Another thread discussing this app:
viewtopic.php?t=10172
: (

amera_09
Level 3
Level 3
Posts: 72
Joined: Mon Dec 09, 2019 6:47 pm

Re: Multism 14.2 not working

Post by amera_09 » Wed Nov 24, 2021 10:45 pm

invisible kid wrote:
Wed Nov 24, 2021 6:46 pm
Hate to be the bearer of bad news, but that app does not work with wine well or at all according to winehq:
https://appdb.winehq.org/objectManager. ... n&iId=4010
Even the pro version that gets a good rating uses a very very old version of wine.
Another thread discussing this app:
viewtopic.php?t=10172
: (
Well anything i didnot pay attention to appdb cuz its appdb but if there a version that would work im ok with it,i t says multism version 8.3 but i can find a way to download that old version of multism , i will try v10

invisible kid
Level 4
Level 4
Posts: 138
Joined: Tue Dec 24, 2019 3:23 pm

Re: Multism 14.2 not working

Post by invisible kid » Wed Nov 24, 2021 11:04 pm

I think it's unlikely to get v10 working. If anything go for a version that is rated bronze, silver, gold, or platinum.

I hate using windows, but in this case I might just give up and try to get some computer that can run some version of windows and just use that. Maybe a used laptop that meets the requirements? Maybe someone will let you borrow or use theirs? If there are other people in the class, ask to share or maybe chip in on one? If you can get a version of windows maybe try to dual boot or even just install windows instead of Linux? Sorry, I know how it is. : (

amera_09
Level 3
Level 3
Posts: 72
Joined: Mon Dec 09, 2019 6:47 pm

Re: Multism 14.2 not working

Post by amera_09 » Wed Nov 24, 2021 11:22 pm

invisible kid wrote:
Wed Nov 24, 2021 11:04 pm
I think it's unlikely to get v10 working. If anything go for a version that is rated bronze, silver, gold, or platinum.

I hate using windows, but in this case I might just give up and try to get some computer that can run some version of windows and just use that. Maybe a used laptop that meets the requirements? Maybe someone will let you borrow or use theirs? If there are other people in the class, ask to share or maybe chip in on one? If you can get a version of windows maybe try to dual boot or even just install windows instead of Linux? Sorry, I know how it is. : (
Screenshot_٢٠٢١١١٢٥-٠٧١٩١٦.png

Code: Select all

root@localhost:~/.wine/drive_c/Program Files/National Instrument
s/Circuit Design Suite 10.0# wine multisim.exe
system.reg is not a valid registry file
userdef.reg is not a valid registry file
user.reg is not a valid registry file
002c:fixme:winediag:LdrInitializeThunk wine-staging 6.22 is a testing version containing experimental patches.
002c:fixme:winediag:LdrInitializeThunk Please mention your exact version when filing bug reports on winehq.org.
0040:err:ole:StdMarshalImpl_MarshalInterface Failed to create ifstub, hr 0x80004002
0040:err:ole:CoMarshalInterface Failed to marshal the interface {6d5140c1-7436-11ce-8034-00aa006009fa}, hr 0x80004002
0040:err:ole:apartment_get_local_server_stream Failed: 0x80004002
0040:err:ole:start_rpcss Failed to open RpcSs service
0068:err:ole:StdMarshalImpl_MarshalInterface Failed to create ifstub, hr 0x80004002
0068:err:ole:CoMarshalInterface Failed to marshal the interface {6d5140c1-7436-11ce-8034-00aa006009fa}, hr 0x80004002
0068:err:ole:apartment_get_local_server_stream Failed: 0x80004002
Xlib:  extension "MIT-SHM" missing on display "127.0.0.1:0".
0068:fixme:imm:ImeSetActiveContext (0x6dd240, 0): stub
0068:fixme:imm:ImmReleaseContext (0002003C, 006DD240): stub
0080:fixme:imm:ImeSetActiveContext (0x269ef0, 1): stub
0080:fixme:imm:ImmReleaseContext (00010068, 00269EF0): stub
Xlib:  extension "MIT-SHM" missing on display "127.0.0.1:0".
0080:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EE1C 1 C) semi-stub
0080:fixme:msvcp:_Locinfo__Locinfo_ctor_cat_cstr (0021EBD4 1 C) semi-stub

amera_09
Level 3
Level 3
Posts: 72
Joined: Mon Dec 09, 2019 6:47 pm

Re: Multism 14.2 not working

Post by amera_09 » Wed Nov 24, 2021 11:26 pm

How can i get wine 1.4 to work instead of wine 6.22

daveweaton
Level 2
Level 2
Posts: 12
Joined: Mon Aug 30, 2021 2:14 am

Re: Multism 14.2 not working

Post by daveweaton » Thu Nov 25, 2021 1:44 am

You may want to check to see if you can be allowed to use one of the native linux based tools or even one of the ones that is cross-platform. I know there is at least one that uses web-based things so it is available cross-platform. I haven't looked but perhaps one even allows reading and/or writing files compatible with Multism. I would do some searching homework then ask whoever you might need to if it's okay - they may not be aware of alternatives.

Post Reply